Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::BoundSlot2_3< R, P1, P2, P3 > Class Template Reference

Converts a slot taking three arguments into a slot taking two arguments. More...

`#include <inti/bind.h>`

Inheritance diagram for Inti::BoundSlot2_3< R, P1, P2, P3 >:

List of all members.

## Public Member Functions

- BoundSlot2_3 (Slot3< R, P1, P2, P3 > *slot, P3 p3)
    Constructor.
- virtual ~BoundSlot2_3 ()
    Destructor.
- virtual R call (P1 p1, P2 p2) const
    Calls the original slot passing it arguments p1 and p2, and the bound argument p as the last parameter.

## Detailed Description

### template<typename R, typename P1, typename P2, typename P3>
class Inti::BoundSlot2_3< R, P1, P2, P3 >

Converts a slot taking three arguments into a slot taking two arguments.

## Constructor & Destructor Documentation

template<typename R, typename P1, typename P2, typename P3>
Inti::BoundSlot2_3< R, P1, P2, P3 >::BoundSlot2_3 | ( | Slot3< R, P1, P2, P3 > * | slot,
|  | P3 | p3
| ) | `[inline]`

  | Constructor. Parameters:
  slot | A pointer to a slot of type Slot1<R, P1, P2, P3>.
  p3 | A bound argument of type P3

The documentation for this class was generated from the following file:

- bind.h

Main Page - Footer